Page MenuHomePhabricator

wbsearchentities should match foreign entity IDs.
Closed, ResolvedPublic

Description

wbsearchentities currently has special handling for the case where the search term is an entity ID, and the respective entity exists. This code can be found in EntitySearchHelper::getExactMatchForEntityId(). It currently relies on EntityTitleLookup and Title::exists, which will fail for foreign IDs. It should be changed to use EntityLookup::hasEntity, which will work for foreign IDs.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedWMDE-leszek
Resolved Aleksey_WMDE

Event Timeline

daniel created this task.Feb 9 2017, 2:22 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptFeb 9 2017, 2:22 PM
Aleksey_WMDE renamed this task from wbentitysearch should match foreign entity IDs. to wbsearchentities should match foreign entity IDs..Feb 10 2017, 12:44 PM

Change 337013 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE)):
EntitySearchHelper can find entities in foreign repositories

https://gerrit.wikimedia.org/r/337013

Change 337013 merged by jenkins-bot:
EntitySearchHelper can find entities in foreign repositories

https://gerrit.wikimedia.org/r/337013

WMDE-leszek closed this task as Resolved.Feb 15 2017, 10:43 AM